> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supernormal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upcoming calendar events



## OpenAPI

````yaml get /user/calendar_events
openapi: 3.0.1
info:
  title: Supernormal API
  description: Documentation for the Supernormal API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.supernormal.com/api/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Calendar Events
    description: Operations about calendar
  - name: Posts
    description: Operations about posts
  - name: Current User
    description: Operations about user
paths:
  /user/calendar_events:
    get:
      tags:
        - Current User
      summary: Upcoming calendar events
      parameters:
        - name: from
          in: query
          description: The start date of the calendar events in ISO 8601 format
          required: false
          schema:
            type: string
        - name: to
          in: query
          description: The end date of the calendar events in ISO 8601 format
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Calendar events response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CalendarEvent'
      security:
        - ApiKeyAuth:
            - calendar_events:read
components:
  schemas:
    CalendarEvent:
      type: object
      properties:
        id:
          description: The calendar event’s ID
          type: string
        name:
          description: The calendar event’s name
          type: string
        url:
          description: The calendar event’s URL
          type: string
        post_id:
          description: The calendar event’s post ID
          type: string
        is_recurring:
          description: Whether the calendar event is recurring
          type: boolean
        is_blocked_from_capture:
          description: Whether the calendar event is blocked from capture
          type: boolean
        start:
          description: The calendar event’s start time
          type: string
        end:
          description: The calendar event’s end time
          type: string
        platform_name:
          description: The calendar event’s platform name
          type: string
          enum:
            - google_meet
            - teams
            - zoom
        scheduled_to_record:
          description: Whether the calendar event is scheduled to record
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-TOKEN
      x-scopes:
        user:read: Read user information
        calendar_events:read: Read calendar events
        calendar_events:write: Write calendar events

````